Sketcher¶
Sketcher commands are used to define the entities, such as the geometry, constraints, and dimensions, to create a sketch and to store the values and attributes associated with a particular sketch.
Create constrained sketches¶
- class SketchModel(
- name,
- description=
''
, - stefanBoltzmann=
None
, - absoluteZero=
None
, - waveFormulation=
NOT_SET
, - modelType=
STANDARD_EXPLICIT
, - universalGas=
None
, - copyConstraints=
1
, - copyConnectors=
1
, - copyInteractions=
1
, Bases:
ModelBase
Abaqus creates a Model object named Model-1 when a session is started.
Note
This object can be accessed by:
mdb.models[name]
Note
Public Data Attributes:
Inherited from
ModelBase
A String specifying the repository key.
None or a Float specifying the Stefan-Boltzmann constant.
None or a Float specifying the absolute zero constant.
A SymbolicConstant specifying the type of incident wave formulation to be used in acoustic problems.
None or a Float specifying the universal gas constant.
A Boolean specifying whether an input file should be written without parts and assemblies.
A Boolean specifying that the step specified by restartStep should be terminated at the increment specified by restartIncrement.
A Boolean specifying that a shell global model drives a solid submodel.
A Float specifying the time stamp that indicates when the model was last changed.
A String specifying the purpose and contents of the Model object.
A String specifying the name of the job that generated the restart data.
A String specifying the name of the step where the restart analysis will start.
A String specifying the name of the job that generated the results for the global model.
A boolean specifying the status of constraints created in a model, in the model which instances this model.
A boolean specifying the status of connectors created in a model, in the model which instances this model.
A boolean specifying the status of interactions created in a model, in the model which instances this model.
A KeywordBlock object.
A repository of Amplitude objects.
A repository of Profile objects.
A repository of BoundaryCondition objects.
A repository of ConstrainedSketchConstraint objects.
A repository of AnalyticalField objects.
A repository of DiscreteField objects.
A repository of PredefinedField objects.
A repository of Interaction objects.
A repository of InteractionProperty objects.
A repository of ContactControl objects.
A repository of ContactInitialization objects.
A repository of ContactStabilization objects.
A tuple of tuples of Strings specifying the linked child PartInstance name in the current model to the corresponding parent PartInstance name in a different model.
A tuple of tuples of Strings specifying the linked child Part name in the current model to the corresponding parent Part name in a different model.
A repository of Load objects.
A repository of Material objects.
A repository of Calibration objects.
A repository of Section objects.
A repository of RemeshingRule objects.
A repository of ConstrainedSketch objects.
A repository of Part objects.
A repository of Step objects.
A FeatureOptions object.
A repository of AdaptiveMeshConstraint objects.
A repository of AdaptiveMeshControl objects.
A repository of TimePoint objects.
A repository of Filter objects.
A repository of IntegratedOutputSection objects.
A repository of FieldOutputRequest objects.
A repository of HistoryOutputRequest objects.
A repository of OptimizationTask objects.
An Int specifying the increment, interval, iteration or cycle where the restart analysis will start.
An Assembly object.
Public Methods:
ConstrainedSketch
(name, sheetSize[, ...])This method creates a ConstrainedSketch object.
Inherited from
ModelBase
__init__
(name[, description, ...])This method creates a Model object.
ModelFromInputFile
(name, inputFileName)This method creates a Model object by reading the keywords in an input file and creating the corresponding Abaqus/CAE objects.
ModelFromOdbFile
(name, odbFileName)This method creates a Model object by reading an output database and creating any corresponding Abaqus/CAE objects.
ModelFromNastranFile
(modelName, inputFileName)This method creates a Model object by reading the keywords in a Nastran bulk data file or Nastran input file and creating any corresponding Abaqus/CAE objects.
setValues
([description, noPartsInputFile, ...])This method modifies the Model object.
Member Details:
-
ConstrainedSketch(name, sheetSize, gridSpacing=
None
, transform=()
)[source]¶ This method creates a ConstrainedSketch object. If the sketch cannot be created, the method returns None.
Note
This function can be accessed by:
mdb.models[name].ConstrainedSketch
Note
- Parameters:¶
- name¶
A String specifying the repository key.
- sheetSize¶
A Float specifying the sheet size.
- gridSpacing=
None
¶ A Float specifying the spacing between gridlines. Possible values are Floats > 0. The default value is approximately 2 percent of sheetSize.
- transform=
()
¶ A sequence of sequences of Floats specifying the three-dimensional orientation of the sketch. The sequence is a 3 x 4 transformation matrix specifying the axis of rotation and the translation vector. Possible values are any Floats.The default value for the axis of rotation is the identity matrix`(1.0, 0.0, 0.0), (0.0, 1.0, 0.0), (0.0, 0.0, 1.0)`The default value for the translation vector is`(0.0, 0.0, 0.0)`The default values position the sketch on the X - Y plane centered at the origin.
- Returns:¶
sketch – A ConstrainedSketch object.
- Return type:¶
-
ConstrainedSketch(name, sheetSize, gridSpacing=
Other Classes¶
- class ConstrainedSketch( )[source]¶
- class ConstrainedSketch( )
Bases:
ConstrainedSketchConstraintModel
,ConstrainedSketchDimensionModel
,ConstrainedSketchGeometryModel
,ConstrainedSketchParameterModel
,ConstrainedSketchVertexModel
Member Details:
- ConstrainedSketchFromGeometryFile(name, geometryFile)[source]¶
This method creates a ConstrainedSketch object and places it in the sketches repository.
Note
This function can be accessed by:
mdb.models[name].ConstrainedSketchFromGeometryFile
- assignCenterOfTwist(point)[source]¶
This method indicates the isolated point that will be used as the center of twist when an extruded feature is created with twist.
- assignCenterline(line)[source]¶
This method indicates the construction line that will be used as a centerline for revolved features.
- autoDimension(objectList)[source]¶
This method applies dimensions to the selected ConstrainedSketchGeometry objects in an effort to make the ConstrainedSketch well defined.
- autoTrimCurve(curve1, point1, parameter1)[source]¶
This method automatically trims a selected ConstrainedSketchGeometry object at the specified location. If the object does not intersect other ConstrainedSketchGeometry objects, the entire selected object will be deleted.
- Parameters:¶
- curve1¶
The ConstrainedSketchGeometry object to be trimmed.
- point1¶
A pair of Floats specifying the location on ConstrainedSketchGeometry where the trimming should be applied. point1 and parameter1 are mutually exclusive.
- parameter1¶
A Float specifying the parameter location on the ConstrainedSketchGeometry where the trimming should be applied. point1 and parameter1 are mutually exclusive.
- breakCurve(curve1, point1, curve2, point2)[source]¶
This method breaks a specified ConstrainedSketchGeometry object (curve1) using another specified ConstrainedSketchGeometry object (curve2). If the selected ConstrainedSketchGeometry objects intersect, then only curve1 will be broken; curve2 is not affected by the operation. The location for the break is determined by the specified point values.
- Parameters:¶
- curve1¶
A ConstrainedSketchGeometry object specifying the object to be broken.
- point1¶
A pair of Floats specifying the location on curve1 near where the break should be applied.
- curve2¶
A ConstrainedSketchGeometry object specifying where curve1 should be broken.
- point2¶
A pair of Floats specifying the location on curve2 near where curve1 should be broken.
- copyMirror(mirrorLine, objectList)[source]¶
This method creates copies of the given ConstrainedSketchGeometry objects, mirrors them about a selected line, and inserts them into the appropriate repositories of the ConstrainedSketch object.
- copyMove(vector, objectList)[source]¶
This method creates copies of the given ConstrainedSketchGeometry objects, moves them from their original position, and inserts them into the appropriate repositories of the ConstrainedSketch object.
Note
- copyRotate(centerPoint, angle, objectList)[source]¶
This method creates copies of the given ConstrainedSketchGeometry objects, rotates them, and inserts them into the appropriate repositories of the ConstrainedSketch object.
- copyScale(scaleValue, scaleCenter, objectList)[source]¶
This method creates copies of the given ConstrainedSketchGeometry objects, scales them by the specified value about a selected point, and inserts them into the appropriate repositories of the ConstrainedSketch object.
Note
- delete(objectList)[source]¶
This method deletes the given ConstrainedSketchGeometry, ConstrainedSketchDimension, or ConstrainedSketchConstraint objects.
Note
- dragEntity(entity, points)[source]¶
This method drags a specified ConstrainedSketchGeometry or ConstrainedSketchVertex object to a specific location.
- Parameters:¶
- linearPattern( )[source]¶
This method copies ConstrainedSketchGeometry objects in a linear pattern along one or two directions. This method also copies any associated dimension or constraint objects that exist between the given objects.
- Parameters:¶
- number1¶
An Integer specifying the total number of copies, including the original objects, that appear along the first direction in the pattern. Possible values are 1 ≤ number1 ≤ 1000.
- spacing1¶
A Float specifying the spacing between copies along the first direction in the pattern. Possible values are 0.0 ≤ spacing1 .
- angle1¶
A Float specifying the angle in degrees of the first direction in the pattern. Possible values are -360.0 ≤ angle1 ≤ 360.0.
- vertexList=
()
¶ A sequence of ConstrainedSketchVertex objects to copy.
- geomList=
()
¶ A sequence of ConstrainedSketchGeometry objects to copy.
- number2=
1
¶ An integer specifying the total number of copies, including the original objects, that appear along the second direction in the pattern. Possible values are 1 ≤ number2 ≤ 1000. The default value is 1. The value of either number1 or number2 must be greater than one.
- spacing2=
None
¶ A Float specifying the spacing between copies along the first direction in the pattern. Possible values are 0.0 ≤ spacing2. The default value is spacing1.
- angle2=
None
¶ A Float specifying the angle in degrees of the first direction in the pattern. Possible values are -360.0 ≤ angle2 ≤ 360.0. The default value is 90° beyond the value of angle1.
- Return type:¶
None.
- Raises:¶
AbaqusException – Number must be greater than 1 for at least one direction
- mergeVertices(value, vertexList)[source]¶
This method merges the ConstrainedSketchVertex objects that lie within the specified distance of each other. If only one ConstrainedSketchVertex object is selected, it will merge all ConstrainedSketchVertex objects that lie within the specified distance of that vertex. If more than one vertex is selected, the search will be restricted to only the selected ConstrainedSketchVertex objects.
- move(vector, objectList)[source]¶
This method translates the given ConstrainedSketchGeometry objects by the given vector.
Note
-
offset(distance, objectList, side, filletCorners=
0
)[source]¶ This method creates copies of the selected ConstrainedSketchGeometry objects, offsets them by the specified distance in the specified direction, and inserts them into the ConstrainedSketch object’s appropriate repositories. If connected objects are selected, trim or extend is carried out to complete the offset.
Note
- Parameters:¶
- distance¶
A Float specifying the distance to be offset.
- objectList¶
A sequence of ConstrainedSketchGeometry objects to be copied and offset.
- side¶
A SymbolicConstant specifying which side the offset should occur. Possible values are LEFT and RIGHT.
- filletCorners=
0
¶ A Boolean specifying whether the corners need to be rounded instead of being extended.
- print()[source]¶
This method prints the following statistics about a sketch:
The sketch Id (a positive integer).
The number of geometry curves (the number of ConstrainedSketchGeometry objects).
The number of dimensions (the number of ConstrainedSketchDimension objects).
The number of vertices (the number of ConstrainedSketchVertex objects).
- radialPattern(
- number,
- totalAngle,
- centerPoint,
- vertexList=
()
, - geomList=
()
, This method copies ConstrainedSketchGeometry objects in a radial pattern about a specified center point.
- Parameters:¶
- number¶
An Int specifying the total number of copies, including the original objects, that appear in the radial pattern. Possible values are 2 ≤ number2 ≤ 1000.
- totalAngle¶
A Float specifying the total angle in degrees between the first and last instance in the pattern. A positive angle corresponds to a counter-clockwise direction. The values 360° and -360° represent a special case where the pattern makes a full circle. In this case, because the copy would overlay the original, the copy is not placed at the last position. Possible values are -360.0 ≤ totalAngle ≤ 360.0.
- centerPoint¶
A pair of Floats specifying the center of the radial pattern.
- vertexList=
()
¶ A sequence of ConstrainedSketchVertex objects to copy.
- geomList=
()
¶ A sequence of ConstrainedSketchGeometry objects to copy.
- rectangle(point1, point2)[source]¶
This method creates four lines that form a rectangle with diagonal corners defined by the given points and inserts them into the geometry repository of the ConstrainedSketch object.
Note
- removeGapsAndOverlaps(tolerance, geomList)[source]¶
This method removes gaps and overlaps between sketch geometries specified by the user. This method is particularly useful when cleaning up imported sketches.
- Parameters:¶
- tolerance¶
A float value which specifies the largest size of the gap or overlap between entities that is to be removed. Typically this value is small and is used to close gaps and overlaps which may not exist in the originating program but exist in the sketch because of mismatched tolerances between the two programs.
- geomList¶
A sequence of ConstrainedSketchGeometry objects where the gaps and overlaps are to be removed.
-
repairShortEdges(geomList, tolerance=
''
)[source]¶ This method deletes the short edges specified, optionally selecting only those short edges whose lengths are smaller than the specified tolerance and healing the resultant gap in the sketch. This method is particularly useful in conjunction with removeGapsAndOverlap when cleaning up imported sketches.
- Parameters:¶
- geomList¶
A sequence of ConstrainedSketchGeometry objects where the short edges are to be removed.
- tolerance=
''
¶ A float value that is used to select and delete only those edges specified in geomList whose lengths are smaller than the given value. The default value is -1.0. This value implies that all edges specified in geomList will be removed and the sketch healed to remove gaps left by their removal.
- retrieveSketch(sketch)[source]¶
This method copies all ConstrainedSketchGeometry, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects from the specified ConstrainedSketch object. The new objects are added to the existing objects (if any). The objects in the specified ConstrainedSketch object are not modified by the retrieve operation.
- rotate(centerPoint, angle, objectList)[source]¶
This method rotates the given ConstrainedSketchGeometry objects by the given angle and about the given point.
Note
- scale(scaleValue, scaleCenter, objectList)[source]¶
This method scales the given ConstrainedSketchGeometry objects by the given scale factor and about the given point.
Note
- setPrimaryObject(option)[source]¶
This method makes the ConstrainedSketch object the primary object in the current viewport. The sketch remains the primary object in the current viewport until an unsetPrimaryobject command is issued.
- Parameters:¶
- option¶
A SymbolicConstant specifying how the sketch is displayed. Possible values are:
STANDALONE
: Indicates a new stand-alone sketch. The current viewport iscleared and is replaced by the stand-alone sketch. The view direction is set to -Z.
SUPERIMPOSE
: Indicates that the sketch is superimposed on the currentviewport. The view direction is changed to be perpendicular to the sketch plane. The change is effected smoothly as an animated sequence of many small viewing steps.
- trimExtendCurve(curve1, point1, curve2, point2)[source]¶
This method trims or extends a specified ConstrainedSketchGeometry object (curve1) using another specified ConstrainedSketchGeometry object (curve2). curve2 is not affected by the operation. The location for the trim or extend is determined by the specified point values.
- Parameters:¶
- curve1¶
The ConstrainedSketchGeometry object specifying the object to be trimmed or extended.
- point1¶
A pair of Floats specifying the location on curve1 where trim or extend should be applied.
- curve2¶
The ConstrainedSketchGeometry object specifying the object to which curve1 is trimmed or extended. curve2 is not trimmed or extended.
- point2¶
A pair of Floats specifying the location on curve2 near where curve1 should be trimmed or extended.
- unsetPrimaryObject()[source]¶
This method removes the ConstrainedSketch object from the current viewport, reversing the effects of the setPrimaryobject command.
If the option argument was set to SUPERIMPOSE, the viewport will be returned to the view orientation that was in place when the setPrimaryobject command was issued. If the option argument was set to STANDALONE, the viewport will be left empty.
-
writeAcisFile(fileName, version=
None
)[source]¶ This method exports the geometry of the sketch to a named file in ACIS format.
- class ConstrainedSketchConstraintModel[source]¶
Bases:
ConstrainedSketchBase
A ConstrainedSketch object contains the entities that are used to create a sketch. The objects include ConstrainedSketchGeometry objects contained in the ConstrainedSketchGeometry Repository, such as Line, Arc, and Spline. ConstrainedSketchVertex, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects are contained in their respective repositories.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name]
Member Details:
- CoincidentConstraint(entity1, entity2)[source]¶
This method creates a coincident constraint. This constraint applies to two vertices, to a vertex and a ConstrainedSketchGeometry object, or to two ConstrainedSketchGeometry objects of the same type and constrains them to be coincident.
Note
This function can be accessed by:
mdb.models[name].sketches[name].CoincidentConstraint
Note
- ConcentricConstraint(entity1, entity2)[source]¶
This method creates a concentric constraint. This constraint applies to any combination of circles, arcs, ellipses, and points and constrains them to be concentric. A concentric constraint implies that the center of ConstrainedSketchGeometry objects coincide.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ConcentricConstraint
Note
- EqualDistanceConstraint(entity1, entity2, midpoint)[source]¶
This method creates an equal distance constraint. This constraint can be applied between a midpoint ConstrainedSketchVertex object and any other two ConstrainedSketchVertex objects or between a midpoint ConstrainedSketchVertex object and two ConstrainedSketchGeometry objects that are lines. The equal distance constraint forces the midpoint vertex to remain at an equal distance from the two other vertices or lines.
Note
This function can be accessed by:
mdb.models[name].sketches[name].EqualDistanceConstraint
Note
- Parameters:¶
- entity1¶
AConstrainedSketchGeometry object specifying the first line or ConstrainedSketchVertex object.
- entity2¶
A ConstrainedSketchGeometry object specifying the second line or ConstrainedSketchVertex object.
- midpoint¶
A ConstrainedSketchVertex object specifying the vertex that will be positioned an equal distance from entity1 and entity2.
- Returns:¶
constraint – A ConstrainedSketchConstraint object
- Return type:¶
ConstrainedSketchConstraint
- EqualLengthConstraint(entity1, entity2)[source]¶
This method creates an equal length constraint. This constraint applies to lines and constrains them such that their lengths are equal.
Note
This function can be accessed by:
mdb.models[name].sketches[name].EqualLengthConstraint
Note
- EqualRadiusConstraint(entity1, entity2)[source]¶
This method creates an equal radius constraint. This constraint applies to circles and arcs and constrains them such that their radii are equal.
Note
This function can be accessed by:
mdb.models[name].sketches[name].EqualRadiusConstraint
Note
- FixedConstraint(entity)[source]¶
This method creates a fixed constraint. This constraint applies to a ConstrainedSketchGeometry object or a ConstrainedSketchVertex object and constrains them to be fixed in space. Both the location and the shape of the sketch geometry is fixed.
Note
This function can be accessed by:
mdb.models[name].sketches[name].FixedConstraint
Note
- HorizontalConstraint(entity)[source]¶
This method creates a horizontal constraint. This constraint applies to a line and constrains it to be horizontal.
Note
This function can be accessed by:
mdb.models[name].sketches[name].HorizontalConstraint
Note
- ParallelConstraint(entity1, entity2)[source]¶
This method creates a parallel constraint. This constraint applies to lines and constrains them to be parallel.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ParallelConstraint
Note
- PerpendicularConstraint(entity1, entity2)[source]¶
This method creates a perpendicular constraint. This constraint applies to different types of ConstrainedSketchGeometry objects and constrains them to be perpendicular to each other.
Note
This function can be accessed by:
mdb.models[name].sketches[name].PerpendicularConstraint
Note
- TangentConstraint(entity1, entity2)[source]¶
This method creates a tangent constraint. This constraint applies to different types of ConstrainedSketchGeometry objects and constrains them to remain tangential.
Note
This function can be accessed by:
mdb.models[name].sketches[name].TangentConstraint
Note
- class ConstrainedSketchDimensionModel[source]¶
Bases:
ConstrainedSketchBase
A ConstrainedSketch object contains the entities that are used to create a sketch. The objects include ConstrainedSketchGeometry objects contained in the ConstrainedSketchGeometry Repository, such as Line, Arc, and Spline. ConstrainedSketchVertex, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects are contained in their respective repositories.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name]
Member Details:
- AngularDimension( )[source]¶
This method constructs a ConstrainedSketchDimension object between two ConstrainedSketchGeometry objects, with the given angle between them.
Note
This function can be accessed by:
mdb.models[name].sketches[name].AngularDimension
Note
- Parameters:¶
- line1¶
A ConstrainedSketchGeometry object specifying the first line.
- line2¶
A ConstrainedSketchGeometry object specifying the second line.
- textPoint¶
A pair of Floats specifying the location of the dimension text.
- value=
None
¶ A Float specifying the angle between the two lines.
- reference=
0
¶ A Boolean specifying whether the created dimension enforces the above value or if it simply measures the angle between two lines.
- Returns:¶
A ConstrainedSketchDimension object
- Return type:¶
dimension
- DistanceDimension( )[source]¶
This method constructs a ConstrainedSketchDimension object between two ConstrainedSketchGeometry, or aConstrainedSketchVertex and ConstrainedSketchGeometry object. A distance dimension specifies the shortest distance between two entities.
Note
This function can be accessed by:
mdb.models[name].sketches[name].DistanceDimension
Note
- Parameters:¶
- entity1¶
A ConstrainedSketchVertex object or ConstrainedSketchGeometry object.
- entity2¶
A ConstrainedSketchVertex object or ConstrainedSketchGeometry object.
- textPoint¶
A pair of Floats specifying the location of the dimension text.
- value=
None
¶ A Float specifying the angle between the two lines.
- reference=
0
¶ A Boolean specifying whether the created dimension enforces the above value or if it simply measures the angle between two lines.
- Returns:¶
A ConstrainedSketchDimension object
- Return type:¶
dimension
- HorizontalDimension( )[source]¶
This method constructs a ConstrainedSketchDimension object between two vertices. A horizontal dimension indicates the horizontal distance along the X axis between two vertices.
Note
This function can be accessed by:
mdb.models[name].sketches[name].HorizontalDimension
Note
- Parameters:¶
- vertex1¶
A ConstrainedSketchVertex object specifying the first endpoint.
- vertex2¶
A ConstrainedSketchVertex object specifying the second endpoint.
- textPoint¶
A pair of Floats specifying the location of the dimension text.
- value=
None
¶ A Float distance between the two vertices.
- reference=
0
¶ A Boolean specifying whether the created dimension enforces the above value or if it simply measures the distance between the two vertices.
- Returns:¶
A ConstrainedSketchDimension object
- Return type:¶
dimension
- ObliqueDimension( )[source]¶
This method constructs a ConstrainedSketchDimension object between two vertices. An oblique dimension indicates the distance between two vertices.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ObliqueDimension
Note
- Parameters:¶
- vertex1¶
A ConstrainedSketchVertex object specifying the first endpoint.
- vertex2¶
A ConstrainedSketchVertex object specifying the second endpoint.
- textPoint¶
A pair of Floats specifying the location of the dimension text.
- value=
None
¶ A Float specifying the distance between the two ConstrainedSketchVertex objects.
- reference=
0
¶ A Boolean specifying whether the created dimension enforces the above value or if it simply measures the distance between the two vertices.
- Returns:¶
A ConstrainedSketchDimension object
- Return type:¶
dimension
- RadialDimension(
- curve,
- textPoint,
- value=
None
, - reference=
0
, - majorRadius=
None
, - minorRadius=
None
, This method constructs a ConstrainedSketchDimension object on a circular or elliptical arc. A radial dimension indicates the radius of an arc or circle or the major or minor radius of an ellipse.
Note
This function can be accessed by:
mdb.models[name].sketches[name].RadialDimension
Note
- Parameters:¶
- curve¶
A ConstrainedSketchGeometry object specifying the circular or elliptical arc.
- textPoint¶
A pair of Floats specifying the location of the dimension text.
- value=
None
¶ A Float specifying the radius of the arc, circle or ellipse.
- reference=
0
¶ A Boolean specifying whether the created dimension enforces the above value or if it simply measures the angle between two lines.
- majorRadius=
None
¶ A Float specifying the major Radius if curve is an ellipse. This is mutually exclusive with value and minorRadius.
- minorRadius=
None
¶ A Float specifying the minor Radius if curve is an ellipse. This is mutually exclusive with value and majorRadius.
- Returns:¶
A ConstrainedSketchDimension object
- Return type:¶
dimension
- VerticalDimension( )[source]¶
This method constructs a ConstrainedSketchDimension between two vertices. A vertical dimension controls the vertical distance along the Y axis between two vertices.
Note
This function can be accessed by:
mdb.models[name].sketches[name].VerticalDimension
Note
- Parameters:¶
- vertex1¶
A ConstrainedSketchVertex object specifying the first endpoint.
- vertex2¶
A ConstrainedSketchVertex object specifying the second endpoint.
- textPoint¶
A pair of Floats specifying the location of the dimension text.
- value=
None
¶ A Float specifying the angle between the two lines.
- reference=
0
¶ A Boolean specifying whether the created dimension enforces the above value or if it simply measures the angle between two lines.
- Returns:¶
A ConstrainedSketchDimension object
- Return type:¶
dimension
- class ConstrainedSketchGeometry[source]¶
Bases:
object
The ConstrainedSketchGeometry object stores the geometry of a sketch, such as lines, circles, arcs, and construction lines.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].geometry[i] mdb.models[name].sketches[name].geometry[i][i]
Note
Member Details:
- curveType : --is-rst--:py:class:`~abaqus.UtilityAndView.SymbolicConstant.SymbolicConstant`[source]¶
A SymbolicConstant specifying the geometry of the sketch entity. Possible values are ARC, CIRCLE, ELLIPSE, LINE, and SPLINE.
-
id : --is-rst--:py:class:`int` | :py:obj:`None` =
None
[source]¶ An Int specifying the index of the sketch entity in the ConstrainedSketchGeometryArray.
- class ConstrainedSketchGeometryModel[source]¶
Bases:
ConstrainedSketchBase
A ConstrainedSketch object contains the entities that are used to create a sketch. The objects include ConstrainedSketchGeometry objects contained in the ConstrainedSketchGeometry Repository, such as Line, Arc, and Spline. ConstrainedSketchVertex, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects are contained in their respective repositories.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name]
Member Details:
- Arc3Points(point1, point2, point3)[source]¶
This method constructs an arc using a two endpoints and an intermediate third point on the arc.
Note
This function can be accessed by:
mdb.models[name].sketches[name].Arc3Points
Note
- ArcByCenterEnds(center, point1, point2)[source]¶
This method constructs an arc using a center point and two vertices. The Arc object is added to the geometry repository of the ConstrainedSketch object. The arc is created in a clockwise fashion from point1 to point2.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ArcByCenterEnds
Note
- ArcByStartEndTangent(point1, point2, vector)[source]¶
This method constructs an arc using two vertices. The Arc object is added to the geometry repository of the ConstrainedSketch object.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ArcByStartEndTangent
Note
- CircleByCenterPerimeter(center, point1)[source]¶
This method constructs a circle using a center point and a point on the perimeter. The circle is added to the geometry repository of the ConstrainedSketch object.
Note
This function can be accessed by:
mdb.models[name].sketches[name].CircleByCenterPerimeter
Note
- ConstructionCircleByCenterPerimeter(center, point1)[source]¶
This method constructs a construction circle using a center point and a point on the perimeter. The circle is added to the geometry repository of the ConstrainedSketch object.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ConstructionCircleByCenterPerimeter
- ConstructionLine(point1, point2)[source]¶
This method creates an oblique construction line that runs between two given points.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ConstructionLine
Note
- EllipseByCenterPerimeter(center, axisPoint1, axisPoint2)[source]¶
This method constructs an ellipse using a center point, a major axis point, and a minor axis point. The ellipse is added to the geometry repository of the ConstrainedSketch object.
Note
This function can be accessed by:
mdb.models[name].sketches[name].EllipseByCenterPerimeter
Note
- FilletByRadius( )[source]¶
This method constructs a fillet arc of a given radius between two curves. The fillet is added to the geometry repository of the ConstrainedSketch object.
Note
This function can be accessed by:
mdb.models[name].sketches[name].FilletByRadius
Note
- Parameters:¶
- radius¶
A Float specifying the radius of the fillet arc. Possible values are Floats > 0.
- curve1¶
A ConstrainedSketchGeometry object specifying the first curve.
- nearPoint1¶
A pair of Floats specifying a point on the sketch near where the user wishes the fillet to intersect with curve1. This point does not need to be on*curve1*; it is used as a hint to draw the fillet.
- curve2¶
A ConstrainedSketchGeometry object specifying the second curve.
- nearPoint2¶
A pair of Floats specifying a point on the sketch near where the user wishes the fillet to intersect with curve2. This point does not need to be on curve2; it is used as a hint to draw the fillet.
- Returns:¶
geometry – A ConstrainedSketchGeometry object
- Return type:¶
ConstrainedSketchGeometry
- Raises:¶
Range Error – cannot construct the Fillet specified, If the radius given cannot be used to create a fillet between the two curves given.
- Line(point1, point2)[source]¶
This method creates a line between two given points.
Note
This function can be accessed by:
mdb.models[name].sketches[name].Line
Note
Check Line on help.3ds.com/2016.
-
Spline(points, constrainPoints=
True
)[source]¶ This method creates a spline curve running through a sequence of points.
Note
This function can be accessed by:
mdb.models[name].sketches[name].Spline
Note
Check Spline on help.3ds.com/2016.
- Parameters:¶
- points¶
A sequence of pairs of Floats specifying the points through which the spline passes.
- constrainPoints=
True
¶ A Boolean that determines whether the points given are to constrained to always remain on the Spline. The default is True. For a large sequence of points, significant performance gains may be achieved by setting the value to False.
- Returns:¶
geometry – A ConstrainedSketchGeometry object
- Return type:¶
ConstrainedSketchGeometry
- Spot(point)[source]¶
This method creates a spot construction point located at the specified coordinates. The spot is added to the vertex repository of the ConstrainedSketch object.
Note
This function can be accessed by:
mdb.models[name].sketches[name].Spot
Note
Check Spot on help.3ds.com/2016.
-
getPointAtDistance(point, distance, percentage=
0
)[source]¶ This method returns a point offset along the given ConstrainedSketchGeometry from the given end by a specified arc length distance or a percentage of the total length of the ConstrainedSketchGeometry object.
- Parameters:¶
- point¶
A pair of Floats specifying the point from which the distance is to be measured.
- distance¶
A float specifying the arc length distance along the ConstrainedSketchGeometry from the point at which the required point is situated.
- percentage=
0
¶ A Boolean that specifies if the distance is an absolute distance or is a fraction relative to the length of the ConstrainedSketchGeometry object.
- Returns:¶
points – A pair of floats representing the point along the edge
- Return type:¶
Sequence[float]
- class ConstrainedSketchParameterModel[source]¶
Bases:
ConstrainedSketchBase
A ConstrainedSketch object contains the entities that are used to create a sketch. The objects include ConstrainedSketchGeometry objects contained in the ConstrainedSketchGeometry Repository, such as Line, Arc, and Spline. ConstrainedSketchVertex, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects are contained in their respective repositories.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name]
Member Details:
- ConstrainedSketchParameter(
- name,
- path=
''
, - expression=
''
, - previousParameter=
''
, This method creates a parameter and optionally associates a dimension with this parameter.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ConstrainedSketchParameter
Note
- Parameters:¶
- name¶
A String specifying the name of the ConstrainedSketchParameter object. No two parameters in the same ConstrainedSketch can have the same name.
- path=
''
¶ A String specifying the ConstrainedSketchDimension object with which this parameter is associated.
- expression=
''
¶ A String specifying the expression or value associated with the ConstrainedSketchParameter.
- previousParameter=
''
¶ A String specifying the name of the previous ConstrainedSketchParameter, if it exists. The previousParameter argument implies an order among the parameters. No two parameters can reference the same parameter as the previous parameter.
- Returns:¶
parameter – A ConstrainedSketchParameter object
- Return type:¶
- class ConstrainedSketchVertex[source]¶
Bases:
object
The ConstrainedSketchVertex object stores the vertex position.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].vertices[i] mdb.models[name].sketches[name].vertices[i][i]
Note
Member Details:
- Spot(point)[source]¶
This method creates a spot (construction point) located at the specified coordinates.
Note
This function can be accessed by:
mdb.models[name].sketches[name].Spot
Note
Check Spot on help.3ds.com/2016.
- class ConstrainedSketchVertexModel[source]¶
Bases:
ConstrainedSketchBase
A ConstrainedSketch object contains the entities that are used to create a sketch. The objects include ConstrainedSketchGeometry objects contained in the ConstrainedSketchGeometry Repository, such as Line, Arc, and Spline. ConstrainedSketchVertex, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects are contained in their respective repositories.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name]
Member Details:
- Spot(point)[source]¶
This method creates a spot (construction point) located at the specified coordinates.
Note
This function can be accessed by:
mdb.models[name].sketches[name].Spot
Note
Check Spot on help.3ds.com/2016.
- class ConstrainedSketchBase[source]¶
Bases:
object
A ConstrainedSketch object contains the entities that are used to create a sketch. The objects include ConstrainedSketchGeometry objects contained in the ConstrainedSketchGeometry Repository, such as Line, Arc, and Spline. ConstrainedSketchVertex, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects are contained in their respective repositories.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name]
Note
Member Details:
-
constraints : --is-rst--:py:class:`dict`\ \[:py:class:`str`, :py:class:`~abaqus.Sketcher.ConstrainedSketchConstraint.ConstrainedSketchConstraint.ConstrainedSketchConstraint`] =
{}
[source]¶ A repository of ConstrainedSketchConstraint objects.
-
dimensions : --is-rst--:py:class:`dict`\ \[:py:class:`str`, :py:class:`~abaqus.Sketcher.ConstrainedSketchDimension.ConstrainedSketchDimension.ConstrainedSketchDimension`] =
{}
[source]¶ A repository of ConstrainedSketchDimension objects.
-
geometry : --is-rst--:py:class:`~abaqus.Sketcher.ConstrainedSketchGeometry.ConstrainedSketchGeometryArray.ConstrainedSketchGeometryArray` =
[]
[source]¶ A ConstrainedSketchGeometryArray object specifying the sketch geometry, such as lines, arcs, circles, and splines.
-
imageOptions : --is-rst--:py:class:`~abaqus.Sketcher.ConstrainedSketchOptions.ConstrainedSketchImageOptions.ConstrainedSketchImageOptions` =
<abaqus.Sketcher.ConstrainedSketchOptions.ConstrainedSketchImageOptions.ConstrainedSketchImageOptions object>
[source]¶ A ConstrainedSketchImageOptions object.
-
parameters : --is-rst--:py:class:`dict`\ \[:py:class:`str`, :py:class:`~abaqus.Sketcher.ConstrainedSketchParameter.ConstrainedSketchParameter.ConstrainedSketchParameter`] =
{}
[source]¶ A repository of ConstrainedSketchParameter objects specifying sketch parameters, which may be associated with dimensions.
-
sketchOptions : --is-rst--:py:class:`~abaqus.Sketcher.ConstrainedSketchOptions.ConstrainedSketchOptions.ConstrainedSketchOptions` =
<abaqus.Sketcher.ConstrainedSketchOptions.ConstrainedSketchOptions.ConstrainedSketchOptions object>
[source]¶ A ConstrainedSketchOptions object specifying the sketch option settings.
-
constraints : --is-rst--:py:class:`dict`\ \[:py:class:`str`, :py:class:`~abaqus.Sketcher.ConstrainedSketchConstraint.ConstrainedSketchConstraint.ConstrainedSketchConstraint`] =
- class ConstrainedSketchConstraint[source]¶
Bases:
object
The ConstrainedSketchConstraint object stores the constraints associated with a sketch.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].constraints[i]
Note
Member Details:
- class ConstrainedSketchDimension[source]¶
Bases:
object
The ConstrainedSketchDimension object stores the dimensions associated with a sketch.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].dimensions[i]
Note
Member Details:
-
class ConstrainedSketchGeometryArray(iterable=
()
, /)[source]¶ Bases:
List
[ConstrainedSketchGeometry
]The ConstrainedSketchGeometryArray is a sequence of ConstrainedSketchGeometry objects.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].geometry[i]
Member Details:
-
findAt(coordinates, printWarning=
True
)[source]¶ This method returns the ConstrainedSketchGeometry object located at the given coordinates.
-
findAt(coordinates, printWarning=
- class ConstrainedSketchImageOptions[source]¶
Bases:
object
The ConstrainedSketchImageOptions object is used to store values and attributes associated with the background image for a particular sketch. The ConstrainedSketchImageOptions object has no constructor.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].imageOptions
Member Details:
- setValues( )[source]¶
This method modifies the ConstrainedSketchOptions object.
- Parameters:¶
- imageName=
''
¶ A String specifying the name of the image. A list of valid image names is in the images repository in the session object.
- showImage=
0
¶ A Boolean specifying whether an image should be displayed in the sketcher background. The default value is OFF.
- origin=
()
¶ A pair of Floats specifying the X and Y offsets in millimeters from the lower-left corner of the viewport. The default value is (0, 0).
- xScale=
1
¶ A Float specifying the scale applied to the image width. The default value is 1.0.When xScale is negative, the image is mirrored about its y-axis but its position is not affected.
- yScale=
1
¶ A Float specifying the scale applied to the image height. The default value is 1.0.When yScale is negative, the image is mirrored about its x-axis but its position is not affected.
- translucency=
1
¶ A Float specifying the translucency factor to use when displaying the image. Possible values are 0.0 ≤ translucency ≤ 1.0 with 0.0 being invisible and 1.0 being opaque. The default value is 1.0.
- imageName=
- Raises:¶
RangeError –
- class ConstrainedSketchOptions[source]¶
Bases:
object
The ConstrainedSketchOptions object is used to store values and attributes associated with a particular sketch. The ConstrainedSketchOptions object has no constructor.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].sketchOptions
Note
Member Details:
- setValues(
- sheetSize=
None
, - gridSpacing=
None
, - grid=
1
, - gridFrequency=
1
, - dimensionTextHeight=
12
, - decimalPlaces=
None
, - constructionGeometry=
1
, - gridSnap=
1
, - preselection=
1
, - sheetAuto=
1
, - gridOrigin=
()
, - gridAngle=
0
, - viewStyle=
REGULAR
, - addImpliedConstraints=
1
, - maxCoplanarEntities=
300
, - autoConstrainAngularTolerance=
0
, - autoConstrainLinearTolerance=
None
, - autoConstrainOptions=
None
, - dragMethod=
MINIMUM_MOVE
, - editMethod=
STANDARD
, This method modifies the ConstrainedSketchOptions object.
- Parameters:¶
- sheetSize=
None
¶ A Float specifying the sheet size. Possible values are Floats > 0. The default value is the sheetSize specified with the Sketch method.
- gridSpacing=
None
¶ A Float specifying the spacing between gridlines. Possible values are Floats > 0. The default value is approximately 2.5% of sheetSize.
- grid=
1
¶ A Boolean specifying whether the grid is shown. The default value is ON.
- gridFrequency=
1
¶ An Int specifying how often gridlines are shown. Possible values are gridFrequency > 0. The default value is 1.
- dimensionTextHeight=
12
¶ A Float specifying the height of the dimension text in points. Possible values are Floats > 0. The default value is 12.0.
- decimalPlaces=
None
¶ An Int specifying how many decimal places are shown in dimensions. Possible values are 0 ≤ decimalPlaces ≤ 6. The initial value depends on the value of sheetSize.
- constructionGeometry=
1
¶ A Boolean specifying whether construction geometry is shown. The default value is ON.
- gridSnap=
1
¶ A Boolean specifying whether the cursor snaps to the grid. The default value is ON.
- preselection=
1
¶ A Boolean specifying whether geometry will be preselected. The default value is ON.
- sheetAuto=
1
¶ A Boolean specifying if the sheet size and the grid spacing are automatically computed. The default value is ON.
- gridOrigin=
()
¶ A sequence of Floats specifying the X - Y coordinates for the origin of the grid. The default value is (0, 0).
- gridAngle=
0
¶ A Float specifying the angle of the grid relative to the computer screen. The default value is 0.0.
- viewStyle=
REGULAR
¶ A SymbolicConstant specifying the type of sketch displayed in the viewport. Possible values are REGULAR and AXISYM. The default value is REGULAR.
- addImpliedConstraints=
1
¶ A Boolean specifying if implied constraints are added during sketching. The default value is ON.
- maxCoplanarEntities=
300
¶ An Int specifying the maximum number of coplanar entities which should be automatically projected from the background, when a sketch based feature is created or edited. When this value is exceeded no entities are automatically projected and a warning issued. Possible values are maxCoplanarEntities > 0. The default value is 300.
- autoConstrainAngularTolerance=
0
¶ A Float specifying the angular tolerance in degrees which is used to determine parallel and tangential conditions during the auto-constrain operation. For example any two lines which have an angle smaller than the given autoConstrainAngularTolerance will be assumed to be parallel, and a parallel constrain may be added during the auto-constrain operation. The default value is 0.01.
- autoConstrainLinearTolerance=
None
¶ A Float specifying the linear tolerance which is used to determine when two points or geometries are coincident during the auto-constrain operation. The default value is 10⁻⁶.
- autoConstrainOptions=
None
¶ A sequence of SymbolicConstants specifying which type of constraints may be added by the auto-constraint tool. Possible values are PARALLEL, PERPENDICULAR, IDENTICAL, TANGENT, CONCENTRIC, and EQUALRADIUS. The default value is (PARALLEL,, PERPENDICULAR,, IDENTICAL,, TANGENT,, CONCENTRIC,, EQUALRADIUS).
- dragMethod=
MINIMUM_MOVE
¶ A SymbolicConstant specifying the constraint solving mode used by the sketcher during drag operation. Possible values are MINIMUM_MOVE, STANDARD, WEIGHTED, and RELAXATION. The default value is MINIMUM_MOVE.
- editMethod=
STANDARD
¶ A SymbolicConstant specifying the constraint solving mode used by the sketcher during regular sketch editing and adding new constraints and dimensions. Possible values are MINIMUM_MOVE, STANDARD, WEIGHTED, and RELAXATION. The default value is STANDARD.
- sheetSize=
- Raises:¶
RangeError –
- class ConstrainedSketchParameter[source]¶
Bases:
object
The ConstrainedSketchParameter object stores the definition of a parameter in the sketch.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].parameters[i]
Note
Member Details:
-
Parameter(name, path=
''
, expression=''
, previousParameter=''
)[source]¶ This method creates a parameter and optionally associates a dimension with this parameter.
Note
This function can be accessed by:
mdb.models[name].sketches[name].ConstrainedSketchParameter
Note
- Parameters:¶
- name¶
A String specifying the name of the ConstrainedSketchParameter object. No two parameters in the same ConstrainedSketch can have the same name.
- path=
''
¶ A String specifying the ConstrainedSketchDimension object with which this parameter is associated.
- expression=
''
¶ A String specifying the expression or value associated with the ConstrainedSketchParameter.
- previousParameter=
''
¶ A String specifying the name of the previous ConstrainedSketchParameter, if it exists. The previousParameter argument implies an order among the parameters. No two parameters can reference the same parameter as the previous parameter.
- Returns:¶
A ConstrainedSketchParameter object.
- Return type:¶
-
expression : --is-rst--:py:class:`str` =
''
[source]¶ A String specifying an expression or value associated with this ConstrainedSketchParameter.
-
name : --is-rst--:py:class:`str` =
''
[source]¶ A String specifying the name of the ConstrainedSketchParameter object.
-
Parameter(name, path=
-
class ConstrainedSketchVertexArray(iterable=
()
, /)[source]¶ Bases:
List
[ConstrainedSketchVertex
]The ConstrainedSketchVertexArray is a sequence of ConstrainedSketchVertex objects.
Note
This object can be accessed by:
import sketch mdb.models[name].sketches[name].vertices[i]
Member Details:
-
findAt(coordinates, printWarning=
True
)[source]¶ This method returns the ConstrainedSketchVertex located at the given coordinates.
-
findAt(coordinates, printWarning=
- class CoincidentConstraint(entity1, entity2)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class ConcentricConstraint(entity1, entity2)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class EqualDistanceConstraint(entity1, entity2, midpoint)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class EqualLengthConstraint(entity1, entity2)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class EqualRadiusConstraint(entity1, entity2)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class FixedConstraint(entity)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class HorizontalConstraint(entity)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class ParallelConstraint(entity1, entity2)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class PerpendicularConstraint(entity1, entity2)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class TangentConstraint(entity1, entity2)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
- class VerticalConstraint(entity)[source]¶
Bases:
ConstrainedSketchConstraint
Member Details:
-
class AngularDimension(line1, line2, textPoint, value=
None
, reference=0
)[source]¶ Bases:
ConstrainedSketchDimension
Member Details:
-
class DistanceDimension(entity1, vertex2, textPoint, value=
None
, reference=0
)[source]¶ Bases:
ConstrainedSketchDimension
Member Details:
-
class HorizontalDimension(vertex1, vertex2, textPoint, value=
None
, reference=0
)[source]¶ Bases:
ConstrainedSketchDimension
Member Details:
-
class ObliqueDimension(vertex1, vertex2, textPoint, value=
None
, reference=0
)[source]¶ Bases:
ConstrainedSketchDimension
Member Details:
- class RadialDimension(
- curve,
- textPoint,
- value=
None
, - reference=
0
, - majorRadius=
None
, - minorRadius=
None
, Bases:
ConstrainedSketchDimension
Member Details:
-
class VerticalDimension(vertex1, vertex2, textPoint, value=
None
, reference=0
)[source]¶ Bases:
ConstrainedSketchDimension
Member Details:
- class ArcByCenterEnds(center, point1, point2)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
- class ArcByStartEndTangent(point1, point2, vector)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
- class CircleByCenterPerimeter(center, point1)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
- class ConstructionCircleByCenterPerimeter(center, point1)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
- class ConstructionLine(point1, point2)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
- class EllipseByCenterPerimeter(center, axisPoint1, axisPoint2)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
- class FilletByRadius(radius, curve1, nearPoint1, curve2, nearPoint2)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
- class Line(point1, point2)[source]¶
Bases:
ConstrainedSketchGeometry
Member Details:
-
class Spline(points, constrainPoints=
True
)[source]¶ Bases:
ConstrainedSketchGeometry
Member Details:
- class Spot(point)[source]¶
Bases:
ConstrainedSketchVertex
Member Details:
-
class getPointAtDistance(point, distance, percentage=
0
)[source]¶ Bases:
ConstrainedSketchGeometry
Member Details:
- class ConstrainedSketcherOptions[source]¶
Bases:
object
The ConstrainedSketcherOptions object is used to store values and attributes which will be applied to all sketches used in the current session. The ConstrainedSketcherOptions object has no constructor.
Note
This object can be accessed by:
import sketch session.sketcherOptions
Note
Member Details:
- setValues(
- constructionGeometry=
1
, - gridSnap=
1
, - preselection=
1
, - addImpliedConstraints=
1
, - maxCoplanarEntities=
300
, - autoConstrainAngularTolerance=
0
, - autoConstrainLinearTolerance=
None
, - autoConstrainOptions=
None
, - dragMethod=
MINIMUM_MOVE
, - editMethod=
STANDARD
, This method modifies the ConstrainedSketchOptions object.
- Parameters:¶
- constructionGeometry=
1
¶ A Boolean specifying whether construction geometry is shown. The default value is ON.
- gridSnap=
1
¶ A Boolean specifying whether the cursor snaps to the grid. The default value is ON.
- preselection=
1
¶ A Boolean specifying whether geometry will be preselected. The default value is ON.
- addImpliedConstraints=
1
¶ A Boolean specifying if implied constraints are added during sketching. The default value is ON.
- maxCoplanarEntities=
300
¶ An Int specifying the maximum number of coplanar entities which should be automatically projected from the background, when a sketch based feature is created or edited. When this value is exceeded no entities are automatically projected and a warning issued. Possible values are maxCoplanarEntities > 0. The default value is 300.
- autoConstrainAngularTolerance=
0
¶ A Float specifying the angular tolerance in degrees which is used to determine parallel and tangential conditions during the auto-constrain operation. For example any two lines which have an angle smaller than the given autoConstrainAngularTolerance will be assumed to be parallel, and a parallel constrain may be added during the auto-constrain operation. The default value is 0.01.
- autoConstrainLinearTolerance=
None
¶ A Float specifying the linear tolerance which is used to determine when two points or geometries are coincident during the auto-constrain operation. The default value is 10⁻⁶.
- autoConstrainOptions=
None
¶ A sequence of SymbolicConstants specifying which type of constraints may be added by the auto-constraint tool. Possible values are PARALLEL, PERPENDICULAR, IDENTICAL, TANGENT, CONCENTRIC, and EQUALRADIUS. The default value is (PARALLEL,, PERPENDICULAR,, IDENTICAL,, TANGENT,, CONCENTRIC,, EQUALRADIUS).
- dragMethod=
MINIMUM_MOVE
¶ A SymbolicConstant specifying the constraint solving mode used by the sketcher during drag operation. Possible values are MINIMUM_MOVE, STANDARD, WEIGHTED, and RELAXATION. The default value is MINIMUM_MOVE.
- editMethod=
STANDARD
¶ A SymbolicConstant specifying the constraint solving mode used by the sketcher during regular sketch editing and adding new constraints and dimensions. Possible values are MINIMUM_MOVE, STANDARD, WEIGHTED, and RELAXATION. The default value is STANDARD.
- constructionGeometry=
- Raises:¶
RangeError –
-
class Parameter(name, path=
''
, expression=''
, previous=''
)[source]¶ Bases:
ConstrainedSketchParameter
Member Details: